> For the complete documentation index, see [llms.txt](https://docs.cobrowse.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cobrowse.io/sdk-features/identify-your-devices.md).

# Identify your devices

To help you identify, search, and filter devices in your Cobrowse dashboard, it's helpful to specify any meaningful metadata.

You may add any custom key/value pairs you'd like, and they will all be searchable and filterable in your online dashboard. We've added a few placeholders for convenience only - all fields are optional.

{% tabs %}
{% tab title="Web" %}

```javascript
CobrowseIO.customData = {
    user_id: "<your_user_id>",
    user_name: "<your_user_name>",
    user_email: "<your_user_email>",
    device_id: "<your_device_id>",
    device_name: "<your_device_name>"
};
```

{% endtab %}

{% tab title="iOS / MacOS" %}
**Swift**

```swift
CobrowseIO.instance().customData = [
    CBIOUserIdKey: "<your_user_id>",
    CBIOUserNameKey: "<your_user_name>",
    CBIOUserEmailKey: "<your_user_email>",
    CBIODeviceIdKey: "<your_device_id>",
    CBIODeviceNameKey: "<your_device_name>"
]
```

**Objective-C**

```objectivec
CobrowseIO.instance.customData = @{
    CBIOUserIdKey: @"<your_user_id>",
    CBIOUserNameKey: @"<your_user_name>",
    CBIOUserEmailKey: @"<your_user_email>",
    CBIODeviceIdKey: @"<your_device_id>",
    CBIODeviceNameKey: @"<your_device_name>"
};
```

{% endtab %}

{% tab title="Android" %}

```java
HashMap<String, String> customData = new HashMap<>();
customData.put("user_id", "<your_user_id>");
customData.put("user_name", "<your_user_name>");
customData.put("user_email", "<your_user_email>");
customData.put("device_id", "<your_device_id>");
customData.put("device_name", "<your_device_name>");
CobrowseIO.instance().customData(customData);
```

{% endtab %}

{% tab title="React Native" %}

```javascript
CobrowseIO.customData = {
    user_id: "<your_user_id>",
    user_name: "<your_user_name>",
    user_email: "<your_user_email>",
    device_id: "<your_device_id>",
    device_name: "<your_device_name>"
};
```

{% endtab %}

{% tab title="Flutter" %}

```dart
CobrowseIO.instance.setCustomData(<String, String>{
    'user_id': '<your_user_id>',
    'user_name': '<your_user_name>',
    'user_email': '<your_user_email>',
    'device_id': '<your_device_id>',
    'device_name': '<your_device_name>'
});
```

{% endtab %}

{% tab title=".NET Mobile" %}

```csharp
CobrowseIO.Instance.CustomData = new Dictionary<string, string>
{
    { CobrowseIO.UserIdKey, "<your_user_id>" },
    { CobrowseIO.UserNameKey, "<your_user_name>" },
    { CobrowseIO.UserEmailKey, "<your_user_email>" },
    { CobrowseIO.DeviceIdKey, "<your_device_id>" },
    { CobrowseIO.DeviceNameKey, "<your_device_name>" }
};
```

{% endtab %}

{% tab title="Windows" %}

```csharp
CobrowseIO.Instance.CustomData = new Dictionary<string, object>()
{
    { CobrowseIO.UserIdKey, "<your_user_id>" },
    { CobrowseIO.UserNameKey, "<your_user_name>" },
    { CobrowseIO.UserEmailKey, "<your_user_email>" },
    { CobrowseIO.DeviceIdKey, "<your_device_id>" },
    { CobrowseIO.DeviceNameKey, "<your_device_name>" }
};
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cobrowse.io/sdk-features/identify-your-devices.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
